commit:     75d1de1f83ee68f62974e145900034bb9604f47e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  3 21:39:11 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Apr  3 21:44:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75d1de1f

media-sound/picard: 2.0.0_beta3 version bump

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 media-sound/picard/Manifest                  |  1 +
 media-sound/picard/picard-2.0.0_beta3.ebuild | 78 ++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/media-sound/picard/Manifest b/media-sound/picard/Manifest
index 186968de1e7..6e44871482e 100644
--- a/media-sound/picard/Manifest
+++ b/media-sound/picard/Manifest
@@ -1,2 +1,3 @@
 DIST picard-1.4.2.tar.gz 2116021 BLAKE2B 
9629d312df20a8c69b383b424724ef4cf9f774ae70b9e11b1c6c7f96cafea575657875642af70a73633ca79eb8c79237ada16dd5ff7c021d4bdb4a0df7890de3
 SHA512 
5e4a6a8cfadd86b7015ab77da1969acec26e0ed92564c6634afeee5060d33d34e8fc83015880e6c8f17df66c8d15b86a85031dbe5b596c995579fb449cf8a74e
 DIST picard-2.0.0_beta2.tar.gz 2664130 BLAKE2B 
b1397744ee55f239a7518070ded63e69695e604e4975ca5b5173ce9c22eb795ac436e3695ae6cfa82ec098db03c2d009dd0e206388df4358947238e0e54d43a1
 SHA512 
7cba2d77a0b8a1c94984331bb9071a62c235193a593b79344b04c60c9ec4966960a44631db3c983a10060fa76e6cd46010d3c5f51f8eab3a19fa065a12129a6b
+DIST picard-2.0.0_beta3.tar.gz 2686246 BLAKE2B 
e11cc85282bb3dfe7298090e42b62f7e9b2d4ee7df09b040905665694074ede611884e1544abc89aa3d07e0844d6599d5fac7c0db09bad7d9e64439c0c4478c9
 SHA512 
c8c5bdd84af3946bc24eb495bcb83877dffedb81e6ff64742925f6d1b4f2780f86280dda839d96030ea15ee2a7bf7708c20cc4ac92e97bf9cd372ea36715d156

diff --git a/media-sound/picard/picard-2.0.0_beta3.ebuild 
b/media-sound/picard/picard-2.0.0_beta3.ebuild
new file mode 100644
index 00000000000..f15d8ee9155
--- /dev/null
+++ b/media-sound/picard/picard-2.0.0_beta3.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{5,6} )
+DISTUTILS_SINGLE_IMPL=1
+DISABLE_AUTOFORMATTING=true
+
+inherit distutils-r1 gnome2-utils readme.gentoo-r1 xdg-utils
+
+DESCRIPTION="A cross-platform music tagger"
+HOMEPAGE="https://picard.musicbrainz.org";
+SRC_URI="https://github.com/metabrainz/${PN}/archive/${PV/_beta3/dev6}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+RDEPEND="
+       dev-python/PyQt5[declarative,gui,network,widgets,${PYTHON_USEDEP}]
+       dev-qt/qtgui:5[accessibility]
+       >=media-libs/mutagen-1.38"
+DEPEND="
+       nls? ( dev-qt/linguist-tools:5 )
+"
+
+RESTRICT="test" # doesn't work with ebuilds
+
+S="${WORKDIR}/${P/_beta3/dev6}"
+
+python_compile() {
+       local build_args=(
+               --disable-autoupdate
+       )
+       if ! use nls; then
+               build_args+=( --disable-locales )
+       fi
+       distutils-r1_python_compile ${build_args[@]}
+}
+
+python_install() {
+       local install_args=(
+               --disable-autoupdate
+               --skip-build
+       )
+       if ! use nls; then
+               install_args+=( --disable-locales )
+       fi
+       distutils-r1_python_install ${install_args[@]}
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       local DOC_CONTENTS="Install optional package 
media-libs/chromaprint[tools] to enable
+calculation and lookup of AcoustID fingerprints.
+
+Install optional package dev-python/python-discid to enable
+calculation and lookup of compact disc identifiers (disc IDs).
+
+If you are upgrading Picard and it does not start, try removing
+Picard's settings:
+       rm ~/.config/MusicBrainz/Picard.conf"
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+       xdg_desktop_database_update
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       gnome2_icon_cache_update
+}

Reply via email to